=== debian/changelog ===
picom-conf (0.17.0-1ubuntu4) plucky; urgency=medium

  * No-change rebuild against libqtilitools-dev. (LP: #2093071) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 06 Feb 2025 01:36:28 +0000

picom-conf (0.17.0-0ubuntu2) plucky; urgency=medium

  * Use the Qt 6 port.
  * Update Standards-version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 19 Oct 2024 15:25:18 -0500

picom-conf (0.17.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Added debian/watch file.
  * Updated copyright file.
  * Removed no-manual-page Lintian override.
  * Added help2man automatic manpage generation.
  * Fixed an invalid documentation link in debian/upstream/metadata.
  * Stopped specifying release build mode.
  * Enabled hardening.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 05 Jan 2024 17:28:28 +0000

picom-conf (0.17.0~git20231210-0ubuntu1) noble; urgency=medium

  * Initial release. (LP: #2046086)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 11 Dec 2023 05:18:22 +0000
