=== debian/control ===
Source: picom-conf
Section: x11
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Aaron Rainbolt <arraybolt3@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.15),
               debhelper-compat (= 13),
               help2man,
               libconfig-dev,
               liblxqt2-dev,
               libqtilitools-dev (>= 0.1.2),
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Homepage: https://github.com/qtilities/picom-conf/
Vcs-Browser: https://git.lubuntu.me/Lubuntu/picom-conf-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/picom-conf-packaging.git

Package: picom-conf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configuration editor for Picom
 picom-conf is a configuration tool for the X composite manager picom. It is a
 fork of compton-conf.
